Bug 36653 - univention-adsearch traceback in UCS 4.0
univention-adsearch traceback in UCS 4.0
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: AD Connector
UCS 4.0
Other Linux
: P5 normal (vote)
: UCS 4.0
Assigned To: Arvid Requate
Stefan Gohmann
: interim-4
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-11-13 16:19 CET by Arvid Requate
Modified: 2014-11-26 06:54 CET (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:
requate: Patch_Available+


Attachments
LDAP_CONTROL_PAGE_OID.patch (977 bytes, patch)
2014-11-13 16:25 CET, Arvid Requate
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Arvid Requate univentionstaff 2014-11-13 16:19:16 CET
root@master50:~# univention-adsearch samaccountname=aduser1
Traceback (most recent call last):
  File "/usr/sbin/univention-adsearch", line 192, in <module>
    ldap.LDAP_CONTROL_PAGE_OID,True,(page_size,'')
AttributeError: 'module' object has no attribute 'LDAP_CONTROL_PAGE_OID'



+++ This bug was initially created as a clone of Bug #35320 +++
Comment 1 Arvid Requate univentionstaff 2014-11-13 16:25:25 CET
Created attachment 6366 [details]
LDAP_CONTROL_PAGE_OID.patch

Same patch as for the AD-Connector code itself.
Comment 2 Arvid Requate univentionstaff 2014-11-13 17:01:37 CET
Package rebuilt with patch, changelog added.
Comment 3 Stefan Gohmann univentionstaff 2014-11-15 13:33:15 CET
OK, it works.
Comment 4 Stefan Gohmann univentionstaff 2014-11-26 06:54:19 CET
UCS 4.0-0 has been released:
 http://docs.univention.de/release-notes-4.0-0-en.html
 http://docs.univention.de/release-notes-4.0-0-de.html

If this error occurs again, please use "Clone This Bug".